/*
 * 	debug.h
 * 	
 * 	Josef Kufner <jkufner@seznam.cz>
 *
 * 	2006-04-29
 * 		* Zobrazovani nazvu metod a funkci
 *
 * 	2002-09-06
 * 		* Makra pro zobrazovani ladicich vypisu
 *
 */

/*
 *  Hodnota makra DEBUG:
 *     0 ... Zadne vypisy
 *     1 ... Malo vypisu - jen kriticke chyby
 *     :
 *     :
 *    10 ... Uplne vsechny vypisy
 */
#if defined(FORCE_DEBUG) && FORCE_DEBUG != -1
#	define DEBUG_LEVEL FORCE_DEBUG
#else
#	define DEBUG_LEVEL DEBUG
#endif

#ifdef DBG_MSG
#undef DBG_MSG
#endif

#if DEBUG_LEVEL > 0
#ifdef CLASS
#define DBG_MSG(level, msg, arg...)				\
{								\
	if (level <= DEBUG_LEVEL)				\
		fprintf(stderr, "%s:%d: %s::%s: " msg "\n",	\
			__FILE__, __LINE__, 			\
			CLASS, __func__, ##arg);		\
}
#else
#define DBG_MSG(level, msg, arg...)				\
{								\
	if (level <= DEBUG_LEVEL)				\
		fprintf(stderr, "%s:%d: " msg "\n", 		\
			__FILE__, __LINE__, ##arg);		\
}
#endif
#else
#	define DBG_MSG(level, msg, arg...)
#endif

