/*
 * 	debug.h
 * 	
 * 	Josef Kufner <jk@myserver.cz>
 * 	2002-09-06
 *
 * 	Makra pro zobrazovani ladicich vypisu
 *
 * 
 * 	ChangeLog:
 * 	
 * 	2006-03-26
 * 		* pridano __FUNCTION__
 */

/*
 *  Hodnota makra DEBUG:
 *     0 ... Zadne vypisy
 *     1 ... Malo vypisu - jen kriticke chyby
 *     :
 *     :
 *    10 ... Uplne vsechny vypisy
 */
#if defined(DEBUG) && DEBUG > 0

#ifndef __FUNCTION__
#define __FUNCTION__ __func__
#endif

#define DBG_MSG(level, msg, arg...)					\
{									\
	if (level <= DEBUG)						\
		fprintf(stderr, "%s: %d: %s: " msg "\n",		\
				__FILE__, __LINE__, __FUNCTION__,	\
				##arg);					\
}

#else

#define DBG_MSG(level, msg, arg...)

#endif
