/*
 * timer.c
 * 
 * Copyright (C) 2005  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

#include "timer.h"
#include "sample.h"

#define CLASS "Timer"
#define DEBUG 10
#include "debug.h"


Timer::Timer(SampleFifo *fifo) {
	DBG_MSG(5, "");
	this->fifo = fifo;
	fifo->source_ref();
	done = 0;
	delay = 50000;
}

Timer::~Timer() {
	DBG_MSG(5, "");
	this->kill();
}

void *Timer::main(void) {
	DBG_MSG(5, "");
	
	while (!done) {
		usleep(delay);
		fifo->push(NULL);
		DBG_MSG(5, "Cink ! (delay = %u ms)", delay / 1000);
	}
	fifo->source_unref();
	return NULL;
}

void Timer::kill(void) {
	done = 1;
}

#undef CLASS

